Subject: Re: bug#21746: 24.5; purpose of dired-keep-marker-copy?

From: Eli Zaretskii <[email-masked]>
Date: Sat, 24 Oct 2015 11:28:59 +0300

> Date: Sat, 24 Oct 2015 01:21:52 -0700 (PDT)
> From: Drew Adams <[email-masked]>
> Cc: [email-masked], [email-masked]
> 
> > But if none of them is preloaded, what is it that we do with dired.el
> > and don't do with the other two packages?
> 
> We load dired.el when you use `C-x d' (or `C-x 4 d' etc.).
> We do not load the other two when you do that.  I think we
> should.  We should consider them an integral part of Dired,
> including for documentation purposes.  I see no reason not
> to.

Would adding to dired.el autoload cookies for the commands and options
in the other 2 packages have the same effect, as far as
discoverability is concerned, as loading them?  If not, what will be
missing?

> I don't even see any reason for the division into 3 files
> at this point.

The 2 additional files almost double the size of the Dired-related
byte code.  That's pretty significant, IMO, although not a
catastrophe.